Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

Does the nvidia installer offer version 304.x as an option?

Message
Author
newkansan
Forum Regular
Forum Regular
Posts: 140
Joined: Mon Jul 21, 2014 4:33 pm

Re: Does the nvidia installer offer version 304.x as an opti

#11 Post by newkansan » Mon Aug 31, 2015 4:41 pm

I'm resurrecting this old thread because I came across a solution that might help someone else down the road. To recap: I have a laptop with nvidia 8200M IGP. Any driver later than 319.x would cause graphical glitching and system freezes. The solution is to disable MSI interrupts (apparently the new MSI scheme was enabled by default starting with driver 325.*).

It was suggested to disable MSI for the nvidia kernel module, but I did not have any luck with this route. I ended up disabling MSI interrupts system-wide via the kernel boot command line by adding "pci=nomsi" to the kernel boot command line. Here are a couple of reference links:

https://bbs.archlinux.org/viewtopic.php?id=168040
https://devtalk.nvidia.com/default/topi ... ersion-/1/

Cheers!
Acer Aspire 7736Z-4088
Pentium T4400 2.2Ghz, Intel GMA 4500M
4GB RAM, 500GB WDC_WD5000LPLX
MX-15 64-bit

Post Reply

Return to “Older Versions”